getNuIDMappingInfo {lumi} | R Documentation

## get the mapping information from nuID to RefSeq ID

### Description

Get the mapping information (including mapping quality information) of nuIDs to the most recent RefSeq release. These information was kept in the IDMapping libraries.

### Usage

    getNuIDMappingInfo(nuID = NULL, lib.mapping)

### Arguments

`nuID` | a vector of nuIDs. If it is NULL, all mappings will be returned.
`lib.mapping` | the ID mapping library

### Details

The function basically return the nuID mapping information kept in the "nuID_MappingInfo" table of IDMapping libraries (lumiHumanIDMapping, lumiMouseIDMapping, lumiRatIDMapping). For more details of nuID mapping, please refer to the help of corresponding IDMapping library.

### Value

It returns a data.frame with each row corresponding to an input nuID.

### Author(s)

Warren Kibbe, Pan Du, Simon Lin

### Examples

            ## load example data
            data(example.lumi)
            if (require(lumiHumanIDMapping)) {
                    nuIDs <- featureNames(example.lumi)
                    mappingInfo <- getNuIDMappingInfo(nuIDs, lib.mapping='lumiHumanIDMapping')
                    head(mappingInfo)
            }

[Package lumi version 1.10.2 Index]